=== debian/changelog ===
libgroove (4.1.1+dfsg-1build1) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Sep 2014 22:26:31 +0100

libgroove (4.1.1+dfsg-1) unstable; urgency=low

  * New upstream release

 -- Andrew Kelley <superjoe30@gmail.com>  Fri, 20 Jun 2014 15:04:01 -0700

libgroove (4.1.0+dfsg-1) unstable; urgency=low

  * New upstream release
  * Add groove_playlist_set_fill_mode symbol for libgroove4

 -- Andrew Kelley <superjoe30@gmail.com>  Sun, 15 Jun 2014 16:59:40 -0700

libgroove (4.0.4+dfsg-1) unstable; urgency=low

  * New upstream release
  * Remove patch to link with -lm because it is included in the new release.

 -- Andrew Kelley <superjoe30@gmail.com>  Tue, 03 Jun 2014 10:48:30 -0700

libgroove (4.0.1+dfsg-1) unstable; urgency=low

  * New upstream release
  * Upload to unstable
  * SONAME updated from 3 to 4
  * new binary package: libgroovefingerprinter4
  * new dev package: libgroovefingerprinter-dev
  * debian/control: other -dev packages depend on libgroove-dev
  * debian/copyright: justify the fact that we repack the pristine tar
  * Better package descriptions
  * watch: update dversionmangle so that uscan finds current version
  * add debian/gbp.conf
  * add patch from upstream to link with -lm
  * remove Pre-Depends from debug package

 -- Andrew Kelley <superjoe30@gmail.com>  Wed, 14 May 2014 12:48:42 -0700

libgroove (3.0.6+dfsg-1) experimental; urgency=low

  * Initial release. (Closes: #738461)

 -- Andrew Kelley <superjoe30@gmail.com>  Thu, 20 Feb 2014 13:12:36 -0500
