=== debian/control ===
Source: libgroove
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Andrew Kelley <superjoe30@gmail.com>
Build-Depends: debhelper (>= 9),
 cmake,
 libebur128-dev,
 libchromaprint-dev,
 libavcodec-dev (>= 6:10~),
 libavformat-dev (>= 6:10~),
 libavfilter-dev (>= 6:10~),
 libavutil-dev (>= 6:10~),
 libav-tools,
 libsdl2-dev,
 pkg-config
Standards-Version: 3.9.5
Section: libs
Homepage: https://github.com/andrewrk/libgroove
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/libgroove.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/libgroove.git;a=summary

Package: libgroove-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgroove4 (= ${binary:Version}), ${misc:Depends}
Description: audio dispatching library (development files)
 This C library provides an sink-based API for decoding and encoding audio.
 It is intended to be used as a backend for music player applications, however
 it may also be used as a backend for any audio processing utility.
 .
 Features:
  * Uses libav for decoding and encoding.
  * Add and remove entries on a playlist for gapless playback.
  * Supports idempotent pause, play, and seek.
  * Per-playlist-item gain adjustment so you can implement loudness compensation
    without audio glitches.
  * Read and write metadata tags.
  * Extensible sink-based interface. A sink provides resampling and keeps its
    buffer full. This package contains the raw sink which provides
    reference-counted raw audio buffers. Other sinks are built on top of this
    one.
  * Thread-safe.
 .
 This package contains the development files.

Package: libgroove4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: music player backend
 This library provides decoding and encoding of audio on a playlist.
 It is intended to be used as a backend for music player applications, however
 it is generic enough to be used as a backend for any audio processing utility.
 .
 Features:
  * Uses libav for decoding and encoding.
  * Add and remove entries on a playlist for gapless playback.
  * Supports idempotent pause, play, and seek.
  * Per-playlist-item gain adjustment so you can implement loudness compensation
    without audio glitches.
  * Read and write metadata tags.
  * Extensible sink-based interface. A sink provides resampling and keeps its
    buffer full. This package contains the raw sink which provides
    reference-counted raw audio buffers. Other sinks are built on top of this
    one.
  * Thread-safe.
 .
 This package contains the shared library.

Package: libgroove-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: libgroove4 (= ${binary:Version}),
 libgrooveplayer4 (= ${binary:Version}),
 libgrooveloudness4 (= ${binary:Version}),
 libgroovefingerprinter4 (= ${binary:Version}),
 ${misc:Depends}
Description: debugging symbols for libgroove
 This package contains the debugging symbols for libgroove4, libgrooveplayer4,
 libgrooveloudness4, and libgroovefingerprinter4.


Package: libgrooveplayer-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgrooveplayer4 (= ${binary:Version}),
 libgroove-dev,
 ${misc:Depends}
Description: audio device playback sink for libgroove (development files)
 This C library provides a GroovePlayer struct which attaches to a
 GroovePlaylist and sends audio frames to a sound device.
 .
 This package contains the development files.

Package: libgrooveplayer4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: hardware audio playback for libgroove
 This libgroove plugin plays audio via a sound device.
 .
 This package contains the shared library.

Package: libgrooveloudness-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgrooveloudness4 (= ${binary:Version}),
 libgroove-dev,
 ${misc:Depends}
Description: loudness scanner sink for libgroove (development files)
 This C library provides a GrooveLoudness object which attaches to a
 GroovePlaylist and uses the EBU R128 standard to detect loudness. The values
 it produces are compatible with ReplayGain.
 .
 This package contains the development files.

Package: libgrooveloudness4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: loudness scanner for libgroove
 This libgroove plugin uses the EBU R128 standard to detect loudness.
 The values it produces are compatible with ReplayGain.
 .
 This package contains the shared library.

Package: libgroovefingerprinter-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgroovefingerprinter4 (= ${binary:Version}),
 libgroove-dev, 
 ${misc:Depends}
Description: acoustid fingerprinter sink for libgroove (development files)
 This C library provides a GrooveFingerprinter object which attaches to a
 GroovePlaylist and chromaprint to generate a unique id for media. The id
 can be used with the acoustid.org service to find out metadata tags for
 the media.
 .
 This package contains the development files.

Package: libgroovefingerprinter4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: acoustid fingerprinter for libgroove
 This libgroove plugin generates audio fingerprints which can be used with the
 acoustid.org service to find out metadata tags for the media.
 .
 This package contains the shared library.
