=== debian/watch ===
version=3
opts=dversionmangle=s/.dfsg//,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/libgroove-$1\.tar\.gz/ https://github.com/andrewrk/libgroove/tags .*/v?(\d\S*)\.tar\.gz
