=== debian/changelog ===
libgroove (4.2.1-1build1) wily; urgency=medium

  * No-change rebuild against ffmpeg 2.7

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Tue, 01 Sep 2015 18:09:15 +0200

libgroove (4.2.1-1) unstable; urgency=medium

  * New upstream release
    - Fixes build on GNU/Hurd (Closes: #764374)
  * Bump standards version to 3.9.6

 -- Andrew Kelley <superjoe30@gmail.com>  Tue, 07 Oct 2014 17:41:56 +0000

libgroove (4.2.0-1) unstable; urgency=low

  * New upstream release
  * No longer repack orig tarball
  * Simplify copyright file; upstream dropped some third party build deps
  * No longer build-depend on libav-tools
  * Update watch file to canonical format
  * Refresh GNUInstallDirs patch
  * Remove no longer relevant lintan override
  * Update libgrooveplayer long description

 -- Andrew Kelley <superjoe30@gmail.com>  Mon, 29 Sep 2014 00:00:21 +0000
