=== debian/changelog ===
libgroove (4.3.0-5) unstable; urgency=medium

  * QA upload.
  * Orphan package, set maintainer to qa group

 -- Felipe Sateler <fsateler@debian.org>  Sat, 29 Sep 2018 19:11:10 -0300

libgroove (4.3.0-4) unstable; urgency=medium

  * Team upload.

  [ James Cowgill ]
  * debian/compat: Use debhelper compat 11.
  * debian/control:
    - Drop libgroove-dbg.
    - Bump standards version to 4.1.4.
  * debian/libgroove-dev.docs:
    - Rename from debian/docs to be more explicit.
  * debian/patches:
    - Add patch to fix FTBFS with FFmpeg 4.0. (Closes: #888376)

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field.
  * d/control: Deprecating priority extra as per policy 4.0.1.
  * d/control: Set Vcs-* to salsa.debian.org.
  * d/control: Remove trailing whitespaces.
  * d/rules: Remove trailing whitespaces.

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org.

 -- James Cowgill <jcowgill@debian.org>  Sat, 19 May 2018 14:52:15 +0200

libgroove (4.3.0-3) unstable; urgency=medium

  * Use gbp-pq for patch handling
  * dummyplayer: do not unlock the play head mutex when an underrun occurs
    (Closes: #844137)

 -- Felipe Sateler <fsateler@debian.org>  Tue, 03 Jan 2017 21:30:11 -0300

libgroove (4.3.0-2) unstable; urgency=medium

  * Team upload

  [ Andreas Cadhalpun ]
  * Fix FTBFS by disabling -Werror. (Closes: #810564)

 -- Andreas Cadhalpun <andreas.cadhalpun@googlemail.com>  Mon, 11 Jan 2016 20:28:58 -0300

libgroove (4.3.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version

 -- Felipe Sateler <fsateler@debian.org>  Thu, 29 Oct 2015 21:16:23 -0300
