=== debian/control ===
Source: libgroove
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 11),
               cmake,
               libebur128-dev,
               libchromaprint-dev,
               libavcodec-dev (>= 6:10~),
               libavformat-dev (>= 6:10~),
               libavfilter-dev (>= 6:10~),
               libavutil-dev (>= 6:10~),
               libsdl2-dev,
               pkg-config
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/multimedia-team/libgroove
Vcs-Git: https://salsa.debian.org/multimedia-team/libgroove.git
Homepage: https://github.com/andrewrk/libgroove

Package: libgroove-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libgroove4 (= ${binary:Version}),
         ${misc:Depends}
Description: audio dispatching library (development files)
 This C library provides an sink-based API for decoding and encoding audio.
 It is intended to be used as a backend for music player applications, however
 it may also be used as a backend for any audio processing utility.
 .
 Features:
  * Uses libav for decoding and encoding.
  * Add and remove entries on a playlist for gapless playback.
  * Supports idempotent pause, play, and seek.
  * Per-playlist-item gain adjustment so you can implement loudness compensation
    without audio glitches.
  * Read and write metadata tags.
  * Extensible sink-based interface. A sink provides resampling and keeps its
    buffer full. This package contains the raw sink which provides
    reference-counted raw audio buffers. Other sinks are built on top of this
    one.
  * Thread-safe.
 .
 This package contains the development files.

Package: libgroove4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: music player backend
 This library provides decoding and encoding of audio on a playlist.
 It is intended to be used as a backend for music player applications, however
 it is generic enough to be used as a backend for any audio processing utility.
 .
 Features:
  * Uses libav for decoding and encoding.
  * Add and remove entries on a playlist for gapless playback.
  * Supports idempotent pause, play, and seek.
  * Per-playlist-item gain adjustment so you can implement loudness compensation
    without audio glitches.
  * Read and write metadata tags.
  * Extensible sink-based interface. A sink provides resampling and keeps its
    buffer full. This package contains the raw sink which provides
    reference-counted raw audio buffers. Other sinks are built on top of this
    one.
  * Thread-safe.
 .
 This package contains the shared library.

Package: libgrooveplayer-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libgrooveplayer4 (= ${binary:Version}),
         libgroove-dev,
         ${misc:Depends}
Description: audio device playback sink for libgroove (development files)
 This C library provides a GroovePlayer struct which attaches to a
 GroovePlaylist and sends audio frames to a sound device. It also includes
 dummy player which can simulate playback without actually having access
 to a sound device.
 .
 This package contains the development files.

Package: libgrooveplayer4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: hardware audio playback for libgroove
 This libgroove plugin plays audio via a sound device. It includes a dummy
 player which can simulate playback without actually having access to a sound
 device.
 .
 This package contains the shared library.

Package: libgrooveloudness-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libgrooveloudness4 (= ${binary:Version}),
         libgroove-dev,
         ${misc:Depends}
Description: loudness scanner sink for libgroove (development files)
 This C library provides a GrooveLoudness object which attaches to a
 GroovePlaylist and uses the EBU R128 standard to detect loudness. The values
 it produces are compatible with ReplayGain.
 .
 This package contains the development files.

Package: libgrooveloudness4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: loudness scanner for libgroove
 This libgroove plugin uses the EBU R128 standard to detect loudness.
 The values it produces are compatible with ReplayGain.
 .
 This package contains the shared library.

Package: libgroovefingerprinter-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libgroovefingerprinter4 (= ${binary:Version}),
         libgroove-dev,
         ${misc:Depends}
Description: acoustid fingerprinter sink for libgroove (development files)
 This C library provides a GrooveFingerprinter object which attaches to a
 GroovePlaylist and chromaprint to generate a unique id for media. The id
 can be used with the acoustid.org service to find out metadata tags for
 the media.
 .
 This package contains the development files.

Package: libgroovefingerprinter4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: acoustid fingerprinter for libgroove
 This libgroove plugin generates audio fingerprints which can be used with the
 acoustid.org service to find out metadata tags for the media.
 .
 This package contains the shared library.
